Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.changesets
Interface SDKCollectionChangeRecord

All Superinterfaces:
  ChangeRecord

Deprecated. since OracleAS TopLink 10g (10.1.3).

public interface SDKCollectionChangeRecord
extends ChangeRecord

Purpose: To provide API into the SDKCollectionChangeSet.

Description: Capture the changes for an unordered collection as collections of adds and removes.

See Also:
  `SDKAggregateCollectionMapping`, `SDKObjectCollectionMapping`, `SDKDirectCollectionMapping`

Method Summary
`java.util.Vector` | `getAdds()` Deprecated. ADVANCED: Return the objects added to the collection.
`java.util.Vector` | `getChangedMapKeys()` Deprecated. ADVANCED: Return the objets whose Map keys have changed.
`java.util.Vector` | `getRemoves()` Deprecated. ADVANCED: Return the removed objects.
`boolean` | `hasChanges()` Deprecated. ADVANCED: Return whether any changes have been recorded with the change record.

Methods inherited from interface oracle.toplink.changesets.ChangeRecord
`getAttribute, getOwner`

Method Detail

### getAdds

    public java.util.Vector getAdds()

  Deprecated.
  ADVANCED: Return the objects added to the collection. The contents of this collection is determined by the mapping that populated it:
  - SDKAggregateCollectionMapping will store ObjectChangeSets
  - SDKDirectCollectionMapping will store the direct elements themselves
  - SDKObjectCollectionMapping will store the foreign keys

### getChangedMapKeys

    public java.util.Vector getChangedMapKeys()

  Deprecated.

  ADVANCED: Return the objets whose Map keys have changed. The contents of this collection is determined by the mapping that populated it:

  - SDKAggregateCollectionMapping will store ObjectChangeSets
  - SDKDirectCollectionMapping will store the direct elements themselves
  - SDKObjectCollectionMapping will store the foreign keys

### getRemoves

    public java.util.Vector getRemoves()

  Deprecated.
  ADVANCED: Return the removed objects. The contents of this collection is determined by the mapping that populated it:
  - SDKAggregateCollectionMapping will store ObjectChangeSets
  - SDKDirectCollectionMapping will store the direct elements themselves
  - SDKObjectCollectionMapping will store the foreign keys

### hasChanges

    public boolean hasChanges()

  Deprecated.
  ADVANCED: Return whether any changes have been recorded with the change record.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD